      implicit real*8(a-h,o-z)
      character*4 ochan
      character*1 out,ofl,otop,oqed,onu,oqedf,oqcdf,oscheme,opqcd
*
      common/zztn/onu
      common/zztout/out
      common/zztch/ochan
      common/zztomu/sclmu
      common/zztswq/opqcd
      common/zztoqed/oqed
      common/zztk/ik,icall
      common/zztqedfsr/oqedf
      common/zztqedfsr/oqcdf
      common/zztofl/ofl,otop
      common/zztosch/oscheme
*
      rsmx= 210.d0
      rsmn= 180.d0
      rsint= rsmx-rsmn
      do i=1,31
*       rsi= 188.6d0
       rsi= rsmn+(i-1.d0)/30.d0*rsint
       ik= 0
       icall= 0
       wmi= 80.350d0
       zmi= 91.1888d0
       zgi= 2.4974d0
       tqmi= 173.8d0
       hmi= 100.d0
       alszi= 0.12d0
       ipm= 4
       irm= 4
       ofl= 'y'
       otop= 'd'
       oqed= 'y'
       onu= 'y'
       oqedf= 'y'
       out= 'y'
       oqcdf= 'y'
       oscheme= 'g'
       ochan= 'tota'
       opqcd= 'y'
       sclmu= 1.d0
*
       call zzto(rsi,zmi,wmi,zgi,tqmi,hmi,alszi,ipm,irm,sig,esig)
*
       if(out.eq.'y') then
        print 1,ipm,irm
    1   format(/' This run is with: ',//
     #         ' NPTS         = ',i2,' (number of points)',/
     #         ' NRAND        = ',i2,' (random starts)',//)
        print 2
    2   format(/' INPUT & derived parameters ------------------- ',/)
        print 3,rsi,wmi,zmi,zgi
    3   format(//' E_cm (GeV) = ',e20.5,/
     #           ' M_W  (GeV) = ',e20.5,' M_Z (GeV) = ',e20.5,/
     #           ' G_Z (GeV)  = ',e20.5///)
*
        if(ofl.eq.'y') then
         print 4
         if(opqcd.eq.'y') then 
          print 30,sclmu
         else
          print 31
         endif
         if(otop.eq.'f') then
          print 6
         else if(otop.eq.'d') then
          print 7
         endif
        else
         print 5
         if(oscheme.eq.'g') then
          print 28
         else if(oscheme.eq.'a') then
          print 29
         endif
        endif
*
        if(oqed.eq.'n') then
         print 8
        else if(oqed.eq.'y') then
         print 9
        endif
*
        if(oqedf.eq.'y') then
         print 16
        else if(oqedf.eq.'n') then
         print 17
        endif
*
        if(oqcdf.eq.'y') then
         print 18
        else if(oqcdf.eq.'n') then
         print 19
        endif
*
        if(ochan.eq.'tota') then
         print 20
         if(onu.eq.'y') then
          print 12
         else if(onu.eq.'n') then
          print 13
         endif
        else if(ochan.eq.'qqqq') then
         print 21
        else if(ochan.eq.'qqnn') then
         print 22
        else if(ochan.eq.'qqll') then
         print 23
        else if(ochan.eq.'llnn') then
         print 24
        else if(ochan.eq.'llll') then
         print 25
        else if(ochan.eq.'nnnn') then
         print 26
        endif
*
        print 14,icall
        print 15,ik
       endif
       print 10,sig,esig
       re= 1.d2*esig/sig
       print 11,re
       print 27
      enddo
*
    4  format(/' FLoop2 (R+I) scheme applied ')
    5  format(/' Running Z width ')
    6  format(/' Fixed top mass ')
    7  format(/' Derived top mass ')
    8  format(/' Born ')
    9  format(/' QED SF ')
   12  format(/' nnnn included ')
   13  format(/' nnnn not included ')
   14  format(/' number of calls ',i10)
   15  format(/' LK failures     ',i10)
   16  format(/' FS QED included ')
   17  format(/' FS QED not included ')
   18  format(/' FS QCD included ')
   19  format(/' FS QCD not included ')
   20  format(/' Total ZZ ')
   21  format(/' qqqq - channel')
   22  format(/' qqnn - channel')
   23  format(/' qqll - channel')
   24  format(/' llnn - channel')
   25  format(/' llll - channel')
   26  format(/' nnnn - channel')
   28  format(/' G_F scheme    ')
   29  format(/' alpha scheme  ')
   30  format(/' FLoop2 with QCD and scale = ',e20.5)
   31  format(/' FLoop2 without QCD ')
*
   10 format(///' sigma (pb)    =',e20.7,3x,'+-',3x,e20.7)
   11 format(/' Rel. error of ',f10.3,' %',///)
   27 format(///'---------------------------------',///)
*
      stop
      end
